<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlnotes_type WHERE ftnotes_type_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Pendidikan sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    $objAxpDB->ViewName("Daftar Tipe Catatan");
    $objAxpDB->ViewTable("vHRTipeCatatan");
    $objAxpDB->ViewSQL("select fnid,  ftnotes_type_code, ftnotes_type_name from tlnotes_type");
    $objAxpDB->ViewCaption("ID,  Kode Tipe Catatan, Nama Tipe Catatan");

    $objAxpDB->FormName("Tipe Catatan");
    $objAxpDB->FormSQL("select  ftnotes_type_code, ftnotes_type_name from tlnotes_type");
    $objAxpDB->FormCaption(" Kode Tipe Catatan, Nama Tipe Catatan");
    $objAxpDB->FormPosition(" TL, TL");
//    $objAxpDB->FormScript(1, "onKeyUp=\"this.value=this.value.toUpperCase();\"");

    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked(" 0, 0");
            $objAxpDB->ButtonShow("reset, simpan,  tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->FormLocked("1, 0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
